Botan 2.19.5 Crypto and TLS for C&

Public Member Functions | List of all members
Botan_FFI::FFI_Error Class Referencefinal

`#include <ffi_util.h>`

Inheritance diagram for Botan_FFI::FFI_Error:

## Public Member Functions
int | error_code () const noexcept override
Botan::ErrorType | error_type () const noexcept override
| FFI_Error (const std::string &what, int err_code)
const char * | what () const noexcept override

## Detailed Description

Definition at line 19 of file ffi_util.h.

## Constructor & Destructor Documentation

## ◆ FFI_Error()

Botan_FFI::FFI_Error::FFI_Error | ( | const std::string & | what,
|  | int | err_code
| ) |  |
| inline

Definition at line 22 of file ffi_util.h.

22 :
23 Exception("FFI error", what),
24 m_err_code(err_code)
25 {}
Botan::Exception::what
const char * what() const noexcept override
Definition: exceptn.h:96
Botan::Exception::Exception
Exception(const std::string &msg)
Definition: exceptn.cpp:73

## Member Function Documentation

## ◆ error_code()

int Botan_FFI::FFI_Error::error_code | ( |  | ) | const
| inline override virtual noexcept

Return an error code associated with this exception, or otherwise 0.

The domain of this error varies depending on the source, for example on POSIX systems it might be errno, while on a Windows system it might be the result of GetLastError or WSAGetLastError. For error_type() is OpenSSLError, it will (if nonzero) be an OpenSSL error code from ERR_get_error.

Reimplemented from Botan::Exception.

Definition at line 27 of file ffi_util.h.

27{ return m_err_code; }

Referenced by Botan_FFI::ffi_guard_thunk().

## ◆ error_type()

Botan::ErrorType Botan_FFI::FFI_Error::error_type | ( |  | ) | const
| inline override virtual noexcept

Return the "type" of error which occurred.

Reimplemented from Botan::Exception.

Definition at line 29 of file ffi_util.h.

29{ return Botan::ErrorType::InvalidArgument; }
Botan::ErrorType::InvalidArgument
@ InvalidArgument

References Botan::InvalidArgument.

Referenced by Botan_FFI::ffi_guard_thunk().

## ◆ what()

const char * Botan::Exception::what | ( |  | ) | const
| inline override noexcept inherited

Return a descriptive string which is hopefully comprehensible to a developer. It will likely not be useful for an end user.

The string has no particular format, and the content of exception messages may change from release to release. Thus the main use of this function is for logging or debugging.

Definition at line 96 of file exceptn.h.

96{ return m_msg.c_str(); }

Referenced by Botan::TLS::Client_Key_Exchange::Client_Key_Exchange(), and Botan_FFI::ffi_guard_thunk().

The documentation for this class was generated from the following file:

- src/lib/ffi/ffi_util.h